cs_lagr_particle_t Struct Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
cs_lagr_particle_t Struct Reference

`#include <cs_lagr_tracking.h>`

Collaboration diagram for cs_lagr_particle_t:

## Data Fields
cs_lnum_t | cur_cell_num
cs_lnum_t | last_face_num
int | switch_order_1
cs_lnum_t | state
cs_lnum_t | prev_id
cs_lnum_t | next_id
cs_real_t | random_value
cs_real_t | stat_weight
cs_real_t | residence_time
cs_real_t | mass
cs_real_t | diameter
cs_real_t | taup_aux
cs_real_t | coord [3]
cs_real_t | velocity [3]
cs_real_t | velocity_seen [3]
cs_real_t | yplus
cs_real_t | interf
cs_lnum_t | close_face_id
cs_lnum_t | marko_val
cs_lnum_t | depo
cs_lnum_t | nb_large_asperities
cs_lnum_t | nb_small_asperities
cs_real_t | adhesion_force
cs_real_t | adhesion_torque
cs_real_t | displacement_norm
cs_real_t | temp [CS_LAGR_N_LAYERS]
cs_real_t | fluid_temp
cs_real_t | cp
cs_real_t | water_mass
cs_real_t | coal_mass [CS_LAGR_N_LAYERS]
cs_real_t | coke_mass [CS_LAGR_N_LAYERS]
cs_real_t | shrinking_diam
cs_real_t | initial_diam
cs_lnum_t | coal_number
cs_real_t | coal_density [CS_LAGR_N_LAYERS]
cs_real_t | emissivity

## Field Documentation

cs_real_t adhesion_force

cs_real_t adhesion_torque

cs_lnum_t close_face_id

cs_real_t coal_density[CS_LAGR_N_LAYERS]

cs_real_t coal_mass[CS_LAGR_N_LAYERS]

cs_lnum_t coal_number

cs_real_t coke_mass[CS_LAGR_N_LAYERS]

cs_real_t coord[3]

cs_real_t cp

cs_lnum_t cur_cell_num

cs_lnum_t depo

cs_real_t diameter

cs_real_t displacement_norm

cs_real_t emissivity

cs_real_t fluid_temp

cs_real_t initial_diam

cs_real_t interf

cs_lnum_t last_face_num

cs_lnum_t marko_val

cs_real_t mass

cs_lnum_t nb_large_asperities

cs_lnum_t nb_small_asperities

cs_lnum_t next_id

cs_lnum_t prev_id

cs_real_t random_value

cs_real_t residence_time

cs_real_t shrinking_diam

cs_real_t stat_weight

cs_lnum_t state

int switch_order_1

cs_real_t taup_aux

cs_real_t temp[CS_LAGR_N_LAYERS]

cs_real_t velocity[3]

cs_real_t velocity_seen[3]

cs_real_t water_mass

cs_real_t yplus

The documentation for this struct was generated from the following file:

- src/lagr/cs_lagr_tracking.h